﻿/**
 * Color settings.
 */
{
  // Color values for substitutions.
  "def": {
    "al": "0x96FF00", // ally      
    "sq": "0xFFB964", // squadman   
    "tk": "0x00EAFF", // teamKiller 
    "en": "0xF50800", // enemy      
    "pl": "0xff8106", // player     
    // Dynamic color by various statistical parameters.
    "colorRatingNew": {
      "beginner":		"0xBC0303",   // bad
      "basic":			"0xFF2F2F",   // bad
      "below_average":	"0xff8a00",   // below average
      "average":		"0xe6df27",   // average
      "above_average":	"0xA9FD00",   // above average
      "good":			"0x00FF55",    // good
      "very_good":		"0x00F0F8",    // very good
      "great":			"0x00BAE4",    // great
      "unicum":			"0xCC5BFF",    // unicum
      "super_unicum":	"0x921CC9"    // super_unicum
    },
    "colorRating": {
      "very_bad":     "0xBC0303",   // very bad   / очень плохо
      "bad":          "0xFF2F2F",   // bad        / плохо
      "normal":       "0xe6df27",   // normal     / средне
      "good":         "0x00FF55",   // good       / хорошо
      "very_good":    "0x00BAE4",   // very good  / очень хорошо
      "unique":       "0xCC5BFF"    // unique     / уникально
    },
    // Dynamic color by remaining health points.
    // Динамический цвет по оставшемуся запасу прочности.
    "colorHP": {
      "very_low":         "0xFF2F2F",   // very low       / очень низкий
      "low":              "0xff8a00",   // low            / низкий
      "average":          "0xe6df27",   // average        / средний
      "above_average":    "0x00FF55"    // above-average  / выше среднего
    }
  },
  "colors": {
    // System colors.
     "system": {
      "ally_alive": "0x95FF00",
      "ally_blowedup": "0x007700",
      "ally_dead": "0x009900",
      "enemy_alive": "0xFF2222",
      "enemy_blowedup": "0x5A0401",
      "enemy_dead": "0x840500",
      "squadman_alive": "0xFFB964",
      "squadman_blowedup": "0xA45A00",
      "squadman_dead": "0xCA7000",
      "teamKiller_alive": "0x00EAFF",
      "teamKiller_blowedup": "0x096A75",
      "teamKiller_dead": "0x097783"
    },
    // Dynamic color by damage kind.
    "dmg_kind": {
      "attack": "0xFFAA55",          
      "fire": "0xFF6655",            
      "ramming": "0x998855",         
      "world_collision": "0x228855", 
      "other": "0xCCCCCC"            
    },
    // Dynamic color by vehicle type.
    "vtype": {
      "LT":  "0xCCCCCC",
      "MT":  "0x99FF33",
      "HT":  "0xFFCC33",
      "SPG": "0xDD3333",
      "TD":  "0x66CCFF",
      "premium": "0xFFCC66",
      "usePremiumColor": false
    },
	// Dynamic color by spotted status
    // Динамический цвет по статусу засвета
    "spotted": {
      "neverSeen":      "0x000000",
      "lost":           "0xD9D9D9",
      "spotted":        "0xFFBB00",
      "dead":           "0xFFFFFF",
      "neverSeen_arty": "0x000000",
      "lost_arty":      "0xD9D9D9",
      "spotted_arty":   "0xFFBB00",
      "dead_arty":      "0xFFFFFF"
    },
    // Color settings for damage.
    "damage": {
      "ally_ally_blowup": "0x00EAFF",
      "ally_ally_hit": "0x00EAFF",
      "ally_ally_kill": "0x00EAFF",
      "ally_allytk_blowup": "0x00EAFF",
      "ally_allytk_hit": "0x00EAFF",
      "ally_allytk_kill": "0x00EAFF",
      "ally_enemy_blowup": "0xF50800",
      "ally_enemy_hit": "0xF50800",
      "ally_enemy_kill": "0xF50800",
      "ally_enemytk_blowup": "0xF50800",
      "ally_enemytk_hit": "0xF50800",
      "ally_enemytk_kill": "0xF50800",
      "ally_squadman_blowup": "0x00EAFF",
      "ally_squadman_hit": "0x00EAFF",
      "ally_squadman_kill": "0x00EAFF",
      "enemy_ally_blowup": "0x96FF00",
      "enemy_ally_hit": "0x96FF00",
      "enemy_ally_kill": "0x96FF00",
      "enemy_allytk_blowup": "0x96FF00",
      "enemy_allytk_hit": "0x96FF00",
      "enemy_allytk_kill": "0x96FF00",
      "enemy_enemy_blowup": "0xF50800",
      "enemy_enemy_hit": "0xF50800",
      "enemy_enemy_kill": "0xF50800",
      "enemy_enemytk_blowup": "0xF50800",
      "enemy_enemytk_hit": "0xF50800",
      "enemy_enemytk_kill": "0xF50800",
      "enemy_squadman_blowup": "0xFFB964",
      "enemy_squadman_hit": "0xFFB964",
      "enemy_squadman_kill": "0xFFB964",
      "player_ally_blowup": "0xFFDD33",
      "player_ally_hit": "0xFFDD33",
      "player_ally_kill": "0xFFDD33",
      "player_allytk_blowup": "0xFFDD33",
      "player_allytk_hit": "0xFFDD33",
      "player_allytk_kill": "0xFFDD33",
      "player_enemy_blowup": "0xFFDD33",
      "player_enemy_hit": "0xFFDD33",
      "player_enemy_kill": "0xFFDD33",
      "player_enemytk_blowup": "0xFFDD33",
      "player_enemytk_hit": "0xFFDD33",
      "player_enemytk_kill": "0xFFDD33",
      "player_squadman_blowup": "0xFFDD33",
      "player_squadman_hit": "0xFFDD33",
      "player_squadman_kill": "0xFFDD33",
      "squadman_ally_blowup": "0xFFDD33",
      "squadman_ally_hit": "0xFFDD33",
      "squadman_ally_kill": "0xFFDD33",
      "squadman_allytk_blowup": "0xFFDD33",
      "squadman_allytk_hit": "0xFFDD33",
      "squadman_allytk_kill": "0xFFDD33",
      "squadman_enemy_blowup": "0xFFDD33",
      "squadman_enemy_hit": "0xFFDD33",
      "squadman_enemy_kill": "0xFFDD33",
      "squadman_enemytk_blowup": "0xFFDD33",
      "squadman_enemytk_hit": "0xFFDD33",
      "squadman_enemytk_kill": "0xFFDD33",
      "squadman_squadman_blowup": "0xFFDD33",
      "squadman_squadman_hit": "0xFFDD33",
      "squadman_squadman_kill": "0xFFDD33",
      "unknown_ally_blowup": "0x96FF00",
      "unknown_ally_hit": "0x96FF00",
      "unknown_ally_kill": "0x96FF00",
      "unknown_allytk_blowup": "0x96FF00",
      "unknown_allytk_hit": "0x96FF00",
      "unknown_allytk_kill": "0x96FF00",
      "unknown_enemy_blowup": "0xF50800",
      "unknown_enemy_hit": "0xF50800",
      "unknown_enemy_kill": "0xF50800",
      "unknown_enemytk_blowup": "0xF50800",
      "unknown_enemytk_hit": "0xF50800",
      "unknown_enemytk_kill": "0xF50800",
      "unknown_squadman_blowup": "0xFFB964",
      "unknown_squadman_hit": "0xFFB964",
      "unknown_squadman_kill": "0xFFB964"
    },
    // Values below should be from smaller to larger.
    // Dynamic color by remaining absolute health.
    "hp": [
      { "value": 201,  "color": ${"def.colorHP.very_low"     } },      // Цвет для значений менее 201
      { "value": 401,  "color": ${"def.colorHP.low"          } },      // Цвет для значений менее 401
      { "value": 1001, "color": ${"def.colorHP.average"      } },      // Цвет для значений менее 1001
      { "value": 9999, "color": ${"def.colorHP.above_average"} }       // Цвет для остальных значений
    ],
    // Dynamic color by remaining health percent.
    // Динамический цвет по проценту оставшегося здоровья.
    "hp_ratio": [
      { "value": 20,  "color": ${"def.colorHP.very_low"     } },       // Цвет для значений менее 10 проц
      { "value": 40,  "color": ${"def.colorHP.low"          } },       // Цвет для значений менее 25 проц
      { "value": 60,  "color": ${"def.colorHP.average"      } },       // Цвет для значений менее 50 проц
      { "value": 101, "color": ${"def.colorHP.above_average"} }        // Цвет для остальных значений
    ],
    // Dynamic color for XVM Scale
    // Динамический цвет по шкале XVM
    // http://www.koreanrandom.com/forum/topic/2625-/
    "x": [
      { "value": 16.5, "color": ${"def.colorRating.very_bad" } },   // 00   - 16.5 - very bad   (20% of players)
      { "value": 33.5, "color": ${"def.colorRating.bad"      } },   // 16.5 - 33.5 - bad        (better then 20% of players)
      { "value": 52.5, "color": ${"def.colorRating.normal"   } },   // 33.5 - 52.5 - normal     (better then 60% of players)
      { "value": 75.5, "color": ${"def.colorRating.good"     } },   // 52.5 - 75.5 - good       (better then 90% of players)
      { "value": 92.5, "color": ${"def.colorRating.very_good"} },   // 75.5 - 92.5 - very good  (better then 99% of players)
      { "value": 999,  "color": ${"def.colorRating.unique"   } }    // 92.5 - XX   - unique     (better then 99.9% of players)
    ],
    // Dynamic color by efficiency
    // Динамический цвет по эффективности
    "eff": [
      { "value": 610,  "color": ${"def.colorRating.very_bad" } },  //    0 - 609  - very bad   (20% of players)
      { "value": 850,  "color": ${"def.colorRating.bad"      } },  //  610 - 849  - bad        (better then 20% of players)
      { "value": 1145, "color": ${"def.colorRating.normal"   } },  //  850 - 1144 - normal     (better then 60% of players)
      { "value": 1475, "color": ${"def.colorRating.good"     } },  // 1145 - 1474 - good       (better then 90% of players)
      { "value": 1775, "color": ${"def.colorRating.very_good"} },  // 1475 - 1774 - very good  (better then 99% of players)
      { "value": 9999, "color": ${"def.colorRating.unique"   } }   // 1775 - *    - unique     (better then 99.9% of players)
    ],
    // Dynamic color by WN6 rating
    // Динамический цвет по рейтингу WN6
    "wn6": [
      { "value": 410,  "color": ${"def.colorRating.very_bad" } },  //    0 - 409  - very bad   (20% of players)
      { "value": 795,  "color": ${"def.colorRating.bad"      } },  //  410 - 794  - bad        (better then 20% of players)
      { "value": 1185, "color": ${"def.colorRating.normal"   } },  //  795 - 1184 - normal     (better then 60% of players)
      { "value": 1585, "color": ${"def.colorRating.good"     } },  // 1185 - 1584 - good       (better then 90% of players)
      { "value": 1925, "color": ${"def.colorRating.very_good"} },  // 1585 - 1924 - very good  (better then 99% of players)
      { "value": 9999, "color": ${"def.colorRating.unique"   } }   // 1925 - *    - unique     (better then 99.9% of players)
    ],
    // Dynamic color by WN8 rating
    // Динамический цвет по рейтингу WN8
    "wn8": [
	  { "value": 400,  "color": ${"def.colorRatingNew.beginner" 		} },
	  { "value": 600,  "color": ${"def.colorRatingNew.basic" 			} },
	  { "value": 800,  "color": ${"def.colorRatingNew.below_average"	} },
	  { "value": 1000,  "color": ${"def.colorRatingNew.average"			} },
	  { "value": 1200, "color": ${"def.colorRatingNew.above_average"	} },
	  { "value": 1600, "color": ${"def.colorRatingNew.good"				} },
	  { "value": 2000, "color": ${"def.colorRatingNew.very_good"		} },
	  { "value": 2450, "color": ${"def.colorRatingNew.great"			} },
	  { "value": 2900, "color": ${"def.colorRatingNew.unicum"			} },
	  { "value": 9999, "color": ${"def.colorRatingNew.super_unicum"		} } 
    ],
    // Dynamic color by WG rating
    // Динамический цвет по рейтингу WG
    // TODO: update values
    "wgr": [
      { "value": 2000,  "color": ${"def.colorRating.very_bad" } },  // very bad   (20% of players)
      { "value": 4000,  "color": ${"def.colorRating.bad"      } },  // bad        (better then 20% of players)
      { "value": 6000,  "color": ${"def.colorRating.normal"   } },  // normal     (better then 60% of players)
      { "value": 8000,  "color": ${"def.colorRating.good"     } },  // good       (better then 90% of players)
      { "value": 10000, "color": ${"def.colorRating.very_good"} },  // very good  (better then 99% of players)
      { "value": 20000, "color": ${"def.colorRating.unique"   } }   // unique     (better then 99.9% of players)
    ],
    // Dynamic color by TEFF (E) rating
    // Динамический цвет по рейтингу TEFF (E)
    "e": [
      { "value": 3,    "color": ${"def.colorRating.very_bad" } },
      { "value": 6,    "color": ${"def.colorRating.bad"      } },
      { "value": 7,    "color": ${"def.colorRating.normal"   } },
      { "value": 8,    "color": ${"def.colorRating.good"     } },
      { "value": 9,    "color": ${"def.colorRating.very_good"} },
      { "value": 20,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by win percent
    // Динамический цвет по проценту побед
    "winrate": [
	  { "value": 45.5,  "color": ${"def.colorRatingNew.beginner"		} },
	  { "value": 46.5,  "color": ${"def.colorRatingNew.basic"			} },
	  { "value": 47.5,  "color": ${"def.colorRatingNew.below_average"	} },
	  { "value": 49.5,  "color": ${"def.colorRatingNew.average"		} },
	  { "value": 50.5, "color": ${"def.colorRatingNew.above_average"	} },
	  { "value": 52.5, "color": ${"def.colorRatingNew.good"			} },
	  { "value": 54.5, "color": ${"def.colorRatingNew.very_good"		} },
	  { "value": 59.5, "color": ${"def.colorRatingNew.great"			} },
	  { "value": 64.5, "color": ${"def.colorRatingNew.unicum"			} },
	  { "value": 101, "color": ${"def.colorRatingNew.super_unicum"	} } 
	  
    ],
	"t-winrate": [
	  { "value": 45.5,  "color": ${"def.colorRatingNew.beginner"		} },
	  { "value": 46.5,  "color": ${"def.colorRatingNew.basic"			} },
	  { "value": 47.5,  "color": ${"def.colorRatingNew.below_average"	} },
	  { "value": 49.5,  "color": ${"def.colorRatingNew.average"		} },
	  { "value": 50.5, "color": ${"def.colorRatingNew.above_average"	} },
	  { "value": 52.5, "color": ${"def.colorRatingNew.good"			} },
	  { "value": 54.5, "color": ${"def.colorRatingNew.very_good"		} },
	  { "value": 59.5, "color": ${"def.colorRatingNew.great"			} },
	  { "value": 64.5, "color": ${"def.colorRatingNew.unicum"			} },
	  { "value": 101, "color": ${"def.colorRatingNew.super_unicum"	} } 
	  
    ],
    // Dynamic color by kilo-battles
    // Динамический цвет по количеству кило-боев
    "kb": [
      { "value": 2,   "color": ${"def.colorRating.very_bad" } },   //  0 - 1
      { "value": 5,   "color": ${"def.colorRating.bad"      } },   //  2 - 4
      { "value": 9,   "color": ${"def.colorRating.normal"   } },   //  5 - 8
      { "value": 14,  "color": ${"def.colorRating.good"     } },   //  9 - 13
      { "value": 20,  "color": ${"def.colorRating.very_good"} },   // 14 - 19
      { "value": 999, "color": ${"def.colorRating.unique"   } }    // 20 - *
    ],
    // Dynamic color by average level of player tanks
    // Динамический цвет по среднему уровню танков игрока
    "avglvl": [
      { "value": 2,  "color": ${"def.colorRating.very_bad" } },
      { "value": 3,  "color": ${"def.colorRating.bad"      } },
      { "value": 5,  "color": ${"def.colorRating.normal"   } },
      { "value": 7,  "color": ${"def.colorRating.good"     } },
      { "value": 9,  "color": ${"def.colorRating.very_good"} },
      { "value": 11, "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by battles on current tank
    // Динамический цвет по количеству боев на текущем танке
    "t_battles": [
      { "value": 100,   "color": ${"def.colorRating.very_bad" } }, //    0 - 99
      { "value": 250,   "color": ${"def.colorRating.bad"      } }, //  100 - 249
      { "value": 500,   "color": ${"def.colorRating.normal"   } }, //  250 - 499
      { "value": 1000,  "color": ${"def.colorRating.good"     } }, //  500 - 999
      { "value": 1800,  "color": ${"def.colorRating.very_good"} }, // 1000 - 1799
      { "value": 99999, "color": ${"def.colorRating.unique"   } }  // 1800 - *
    ],
    // Dynamic color by average damage on current tank
    // Динамический цвет по среднему урону за бой на текущем танке
    "tdb": [
      { "value": 500,  "color": ${"def.colorRating.very_bad" } },
      { "value": 1000, "color": ${"def.colorRating.normal"   } },
      { "value": 1800, "color": ${"def.colorRating.good"     } },
      { "value": 2500, "color": ${"def.colorRating.very_good"} },
      { "value": 3000, "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by average damage efficiency on current tank
    // Динамический цвет по эффективности урона за бой на текущем танке
    "tdv": [
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by average frags per battle on current tank
    // Динамический цвет по среднему количеству фрагов за бой на текущем танке
    "tfb": [
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by average number of spotted enemies per battle on current tank
    // Динамический цвет по среднему количеству засвеченных врагов за бой на текущем танке
    "tsb": [
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ]
  }
}
