﻿/**
 * Parameters of the Players Panels ("ears").
 */
{
  // Enemy spotted status marker format for substitutions in extra fields.
  // Подстановка для дополнительного поля с маркером статуса засвета
  "enemySpottedMarker": {
    // Opacity percentage of spotted markers in the panels. 0 - transparent (disabled) ... 100 - opaque.
    // Прозрачность в процентах маркеров засвета в ушах. 0 - полностью прозрачные (отключены), 100 - не прозрачные.
    "alpha": 100,
    // x position.
    // положение по горизонтали.
    "x": 6,
    // y position.
    // положение по вертикали.
    "y": 1,
    // Horizontal alignment
    // Выравнивание по горизонтали
    "align": "center",
    // true - x position is binded to vehicle icon, false - binded to edge of the screen.
    // true - положение по горизонтали отсчитывается от иконки танка, false - от края экрана.
    "bindToIcon": true,
    // enemy spotted status marker format.
    // формат маркера статуса засвета.
    "format": "<font color='{{c:spotted}}'>{{spotted}}</font>",
    // shadow (see below).
    // настройки тени (см. ниже).
    "shadow": {}
  },
  // Parameters of the Players Panels ("ears").
  // Параметры панелей игроков ("ушей").
  "playersPanel": {
    "alpha": 60,
    "iconAlpha": 100,
    "removeSquadIcon": false,
	"removeSelectedBackground": false,
	"removePanelsModeSwitcher": false,
	"altMode": null,
    "clanIcon": {
      "show": true,
      "x": 85,
      "y": 6,
      "xr": 85,
      "yr": 6,
      "w": 16,
      "h": 16,
      "alpha": 90
    },
    // Options for the "medium" panels - the first of the medium panels.
    "medium": {
      "width": 100,
	  "formatLeft": "<font color='{{c:wn}}'>{{name}}</font>",
      "formatRight": "<font color='{{c:wn}}'>{{name}}</font>",
	        "extraFieldsLeft": [],
      // Set of formats for right panel (extended format supported, see above)
      // Набор форматов для правой панели (поддерживается расширенный формат, см. выше)
      "extraFieldsRight": [
        // enemy spotted status marker (see above).
        // маркер статуса засвета (см. выше).
        ${"enemySpottedMarker"}
      ]
    },
    // Options for the "medium2" panels - the second of the medium panels.
    "medium2": {
      "width": 100,
      "formatLeft": "<font color='{{c:wn}}'>{{vehicle}}</font>",
      "formatRight": "<font color='{{c:wn}}'>{{vehicle}}</font>",
	        "extraFieldsLeft": [],
      // Set of formats for right panel (extended format supported, see above)
      // Набор форматов для правой панели (поддерживается расширенный формат, см. выше)
      "extraFieldsRight": [
        // enemy spotted status marker (see above).
        // маркер статуса засвета (см. выше).
        ${"enemySpottedMarker"}
      ]
    },
    // Options for the "large" panels - the widest panels.
    "large": {
      // Width of the player's name column, 0-250. Default is 170.
      "width": 170,
      "nickFormatLeft": "<font color='{{c:rating}}'>{{winrate%2d~%|--%}}</font> {{nick}}",
      "nickFormatRight": "{{nick}} <font color='{{c:rating}}'>{{winrate%2d~%|--%}}</font>",
      "vehicleFormatLeft": "<font color='{{c:wn}}'>{{vehicle}}</font>",
      "vehicleFormatRight": "<font color='{{c:wn}}'>{{vehicle}}</font>",
	        "extraFieldsLeft": [],
      // Set of formats for right panel (extended format supported, see above)
      // Набор форматов для правой панели (поддерживается расширенный формат, см. выше)
      "extraFieldsRight": [
        // enemy spotted status marker (see above).
        // маркер статуса засвета (см. выше).
        ${"enemySpottedMarker"}
      ]
    }
  }
}
